---
lang: en
title: 'API docs: pooling.poolingserviceoptions.factory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingserviceoptions.factory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingServiceOptions](./pooling.poolingserviceoptions.md) &gt; [factory](./pooling.poolingserviceoptions.factory.md)

## PoolingServiceOptions.factory property

A factory to create/destroy/validate resources for the pool or a function to create a factory for the given context

**Signature:**

```typescript
factory: PoolFactory<T> | ((ctx: Context) => PoolFactory<T>);
```

